# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/VirtualFile.hpp File Reference

`#include "vl/Object.hpp"`
`#include "vl/vlnamespace.hpp"`
`#include "vl/String.hpp"`
`#include "vl/MD5CheckSum.hpp"`
`#include <map>`

## Classes

class | vl::VirtualFile
| An abstract class representing a file. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Functions

ref< VirtualFile > | vl::locateFile (const String &path)
| Utility function, equivalent to `vl::VisualizationLibrary::fileSystem()->locateFile(path)`.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:29 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.